Subject: Re: Route cache performance under stress

From: Florian Weimer <[email-masked]>
Date: Mon, 26 May 2003 09:18:19 +0200

Jamal Hadi <[email-masked]> writes:

> Also used to attack CISCOs by them kiddies btw. We stand much better
> than any CISCO doing caching.

Cisco IOS doesn't have this hash collisions problem, they have moved
away from hash tables ages ago.  You are probably just seeing CPU
starvation (Cisco routers aren't equipped with the fastest available
CPUs *sigh*, and you lose if routing is not performed by other means).

BTW, CEF is just a marketing term.  There's a plethora of
implementations, ranging from software-only to ASICs to special memory
chips (associative arrays with wildcards).  These implementations have
vastly different implications for router performance.  Most notably,
CEF is not a cache (not even in the software case), the data structure
are changed when updated routing information is encountered and not
when packets are received which need to be routed.